Vulnérabilité de input() sous Python 2

Découvrez comment exploiter la vulnérabilité de la commande input() sous Python 2 afin d’injecter des lignes de commandes dans n’importe quel programme.

Vous n’êtes pas sans savoir que python est un langage existant sous deux versions : Python 2 et Python 3. Que l’on trouve que python2 n’est plus beaucoup utilisé et qu’il vaut mieux prendre Python 3 est une chose. Mais, Python 2 a régné bien trop longtemps pour pouvoir l’ignorer et si ce cours va traiter d’une vulnérabilité python2, vous verrez que Python 3 en reste impacté.

Python 2 est inévitable.

C’est au sujet de ce dernier que le cours va tout d’abord porter. Ne vous inquiétez pas si vous ne connaissez pas du tout Python 2, vous arriverez tout de même à suivre le cours. En revanche, si vous n’avez jamais fait de Python il se peut que vous soyez quelques peu perdu.

Programme de Formation

Procédure
En quoi consiste la vulnérabilité de input()GRATUIT 00:15:00
À quel point la faille input() de Python 2 est critiqueGRATUIT 00:30:00
Comment se protéger de la faille input() sous Python 2GRATUIT 00:15:00
Conclusion du cours sur la faille input() de Python 2GRATUIT 00:05:00
Questionnaire
Exploiter la vulnérabilité de input() sous Python 2 00:15:00

Avis sur la formation

N.C

Note
  • 5 étoiles0
  • 4 étoiles0
  • 3 étoiles0
  • 2 étoiles0
  • 1 étoiles0

Aucun avis trouvé pour cette formation.

Culte du code | 2015-2020  (Vecteurs par Freepik, Parallax par fullvector)